> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1smsroutingroutessmpp connections view



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/sms/routing/routes/smpp-connections/{smpp_connection}/view
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/routes/smpp-connections/{smpp_connection}/view:
    get:
      tags:
        - SmsRoutingSmppConnections
      operationId: sms.routing.routes.smpp-connections.show
      parameters:
        - name: smpp_connection
          in: path
          required: true
          description: The smpp connection ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: '`SmsRouteSmppConnectionResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/SmsRouteSmppConnectionResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    SmsRouteSmppConnectionResource:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        username:
          type:
            - string
            - 'null'
        password:
          type:
            - string
            - 'null'
        port:
          type:
            - string
            - 'null'
        dlr_url:
          type:
            - string
            - 'null'
        dlr_port:
          type:
            - string
            - 'null'
        workers_count:
          type:
            - integer
            - 'null'
        workers_delay:
          type:
            - string
            - 'null'
        system_type:
          type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        type:
          type: string
          example: SMPP
      required:
        - id
        - url
        - username
        - password
        - port
        - dlr_url
        - dlr_port
        - workers_count
        - workers_delay
        - system_type
        - created_at
        - type
      title: SmsRouteSmppConnectionResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````